]> git.saurik.com Git - wxWidgets.git/blobdiff - wxPython/b
Add wx.KeyEvent.GetModifiers
[wxWidgets.git] / wxPython / b
index 5c97518e564efeeaa0eab49bf6440bbdecde8ed7..19f3569512b8638526fc1e8a614ee8ec50ad29de 100755 (executable)
@@ -1,4 +1,11 @@
-#!/bin/sh
+#!/bin/bash
+
+# Are we using bash on win32?  If so source that file and then exit.
+if [ "$OSTYPE" = "cygwin" ]; then
+    source b.win32
+    exit
+fi
+
 
 function getpyver {
     if [ "$1" = "15" ]; then
@@ -11,6 +18,8 @@ function getpyver {
        PYVER=2.2
     elif [ "$1" = "23" ]; then
        PYVER=2.3
+    elif [ "$1" = "24" ]; then
+       PYVER=2.4
     else
        echo You must specify Python version as first parameter.
         exit
@@ -27,17 +36,28 @@ SETUP="python$PYVER -u setup.py"
 FLAGS="USE_SWIG=1 SWIG=/opt/swig/bin/swig" 
 OTHERFLAGS=""
 PORTFLAGS=""
+UNIFLAG="UNICODE=1"
+
 
 
-if [ "$1" = "gtk1" ]; then 
-    PORTFLAGS=""
+if [ "$1" = "gtk1" -o "$1" = "gtk" ]; then 
+    PORTFLAGS="WXPORT=gtk"
+    UNIFLAG="UNICODE=0"
     shift
 elif [ "$1" = "gtk2" ]; then 
-    PORTFLAGS="WXPORT=gtk2 UNICODE=1"
+    PORTFLAGS="WXPORT=gtk2"
+    UNIFLAG="UNICODE=1"
     shift
 fi
 
-FLAGS="$FLAGS $PORTFLAGS"
+for p in $*; do
+    if [ "$p" = "UNICODE=0" -o "$p" = "UNICODE=1" ]; then
+       UNIFLAG=""
+       break
+    fi
+done
+
+FLAGS="$FLAGS $PORTFLAGS $UNIFLAG"
 
 
 
@@ -126,10 +146,12 @@ fi
 
 echo $CMD
 eval $CMD
+RC=$?
 
-
-if [ "$OTHERCMD" != "" ]; then
+if [ "$RC" = "0" -a  "$OTHERCMD" != "" ]; then
     echo $OTHERCMD
     $OTHERCMD
+    RC=$?
 fi
 
+exit $RC